Index: .bash_profile
===================================================================
--- .bash_profile	(revision 766bb6a9e359f1d33f134719ef8ce266ba01e4ea)
+++ .bash_profile	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -1,5 +1,5 @@
 # set PATH so it includes user's private bin if it exists
-if [ -d "$HOME/bin" ] ; then
-    PATH="$HOME/bin:$PATH"
+if [ -d "$HOME/.bin" ] ; then
+    PATH="$HOME/.bin:$PATH"
 fi
 
Index: .bin/get_ip_from_ifconfig.pl
===================================================================
--- .bin/get_ip_from_ifconfig.pl	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
+++ .bin/get_ip_from_ifconfig.pl	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -0,0 +1,14 @@
+#!/usr/bin/perl
+use strict;
+use Data::Dumper;
+
+my $interface;
+my %IPs;
+
+foreach ( qx{ (LC_ALL=C /sbin/ifconfig -a 2>&1) } ) {
+	$interface = $1 if /^(\S+?):?\s/;
+        next unless defined $interface;
+        $IPs{$interface}->{STATE}=uc($1) if /\b(up|down)\b/i;
+        $IPs{$interface}->{IP}=$1 if /inet\D+(\d+\.\d+\.\d+\.\d+)/i;
+}
+print Dumper(\%IPs);
Index: .bin/get_ip_from_ioctl.pl
===================================================================
--- .bin/get_ip_from_ioctl.pl	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
+++ .bin/get_ip_from_ioctl.pl	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -0,0 +1,36 @@
+#!/usr/bin/perl
+use strict;
+use warnings;
+require 'sys/ioctl.ph';
+use Socket;
+
+my %interfaces;
+my $max_addrs = 30;
+socket(my $socket, AF_INET, SOCK_DGRAM, 0) or die "socket: $!";
+
+{
+    my $ifreqpack = 'a16a16';
+    my $buf = pack($ifreqpack, '', '') x $max_addrs;
+    my $ifconf = pack('iP', length($buf), $buf);
+
+    # This does the actual work
+    ioctl($socket, SIOCGIFCONF(), $ifconf) or die "ioctl: $!";
+
+    my $len = unpack('iP', $ifconf);
+    substr($buf, $len) = '';
+
+    %interfaces = unpack("($ifreqpack)*", $buf);
+
+    unless (keys(%interfaces) < $max_addrs) {
+        # Buffer was too small
+        $max_addrs += 10;
+        redo;
+    }
+}
+
+for my $addr (values %interfaces) {
+    $addr = inet_ntoa((sockaddr_in($addr))[1]);
+}
+
+use Data::Dumper;
+print Dumper \%interfaces;
Index: .bin/smartgrep
===================================================================
--- .bin/smartgrep	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
+++ .bin/smartgrep	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -0,0 +1,5 @@
+for DEVICE in `ls /dev/[hs]d?`
+do
+    echo -n "$DEVICE: "
+    sudo smartctl -a $DEVICE | grep $1
+done
Index: .bin/svnst
===================================================================
--- .bin/svnst	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
+++ .bin/svnst	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -0,0 +1,3 @@
+#! /bin/sh
+
+svn st $1 | grep "^[^?]"
Index: .bin/wake
===================================================================
--- .bin/wake	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
+++ .bin/wake	(revision df4fa7ba97367054d8073e9f9626b28d8936d941)
@@ -0,0 +1,53 @@
+#!/usr/bin/perl
+
+use Cwd qw( realpath );
+use File::Basename qw( fileparse );
+
+@cfg = ('.wake', ( (fileparse( realpath($0) ))[1] ) . '.wake');
+$mac = {};
+
+$x = '[0-9a-fA-F]';
+$macre = "$x$x:$x$x:$x$x:$x$x:$x$x:$x$x";
+$ipre = "\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}";
+
+foreach my $cfg (@cfg) {
+	open(CFG, $cfg);
+	while (<CFG>) {
+		next if /^\s*#/;
+		next if /^\s*$/;
+		
+		chomp;
+		my($host, $hw, $ip) = split;
+		push @{$mac->{lc($host)}}, { MAC => $hw, IP => $ip };
+	}
+}
+
+if (@ARGV) {
+	foreach $host (@ARGV) {
+		if ($host =~ /$macre/) {
+			print qx(wakeonlan $host);
+		}
+		elsif (@physical = @{$mac->{lc($host)}}) {
+		    foreach my $mac (@physical) {
+		        if ($mac->{IP}) {
+		            print qx(wakeonlan -i $mac->{IP} $mac->{MAC});
+		        }
+		        else {
+		            print qx(wakeonlan $mac->{MAC});
+		        }
+		    }
+		}
+		else {
+			print lc($host) . ": no such host in the list.\n";
+		}
+	}
+}
+else {
+	foreach $host (sort keys %$mac) {
+	    $physical = $mac->{lc($host)};
+	    foreach my $mac (@$physical) {
+	        print "$host -> $mac->{MAC} -> $mac->{IP}\n";
+	    }
+	}
+}
+
Index: n/get_ip_from_ifconfig.pl
===================================================================
--- bin/get_ip_from_ifconfig.pl	(revision 57d3e5400ce51f1881320585b520bc5f88f004ce)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#!/usr/bin/perl
-use strict;
-use Data::Dumper;
-
-my $interface;
-my %IPs;
-
-foreach ( qx{ (LC_ALL=C /sbin/ifconfig -a 2>&1) } ) {
-	$interface = $1 if /^(\S+?):?\s/;
-        next unless defined $interface;
-        $IPs{$interface}->{STATE}=uc($1) if /\b(up|down)\b/i;
-        $IPs{$interface}->{IP}=$1 if /inet\D+(\d+\.\d+\.\d+\.\d+)/i;
-}
-print Dumper(\%IPs);
Index: n/get_ip_from_ioctl.pl
===================================================================
--- bin/get_ip_from_ioctl.pl	(revision 57d3e5400ce51f1881320585b520bc5f88f004ce)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#!/usr/bin/perl
-use strict;
-use warnings;
-require 'sys/ioctl.ph';
-use Socket;
-
-my %interfaces;
-my $max_addrs = 30;
-socket(my $socket, AF_INET, SOCK_DGRAM, 0) or die "socket: $!";
-
-{
-    my $ifreqpack = 'a16a16';
-    my $buf = pack($ifreqpack, '', '') x $max_addrs;
-    my $ifconf = pack('iP', length($buf), $buf);
-
-    # This does the actual work
-    ioctl($socket, SIOCGIFCONF(), $ifconf) or die "ioctl: $!";
-
-    my $len = unpack('iP', $ifconf);
-    substr($buf, $len) = '';
-
-    %interfaces = unpack("($ifreqpack)*", $buf);
-
-    unless (keys(%interfaces) < $max_addrs) {
-        # Buffer was too small
-        $max_addrs += 10;
-        redo;
-    }
-}
-
-for my $addr (values %interfaces) {
-    $addr = inet_ntoa((sockaddr_in($addr))[1]);
-}
-
-use Data::Dumper;
-print Dumper \%interfaces;
Index: n/smartgrep
===================================================================
--- bin/smartgrep	(revision 57d3e5400ce51f1881320585b520bc5f88f004ce)
+++ 	(revision )
@@ -1,5 +1,0 @@
-for DEVICE in `ls /dev/[hs]d?`
-do
-    echo -n "$DEVICE: "
-    sudo smartctl -a $DEVICE | grep $1
-done
Index: n/svnst
===================================================================
--- bin/svnst	(revision 57d3e5400ce51f1881320585b520bc5f88f004ce)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#! /bin/sh
-
-svn st $1 | grep "^[^?]"
Index: n/wake
===================================================================
--- bin/wake	(revision 57d3e5400ce51f1881320585b520bc5f88f004ce)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/usr/bin/perl
-
-use Cwd qw( realpath );
-use File::Basename qw( fileparse );
-
-@cfg = ('.wake', ( (fileparse( realpath($0) ))[1] ) . '.wake');
-$mac = {};
-
-$x = '[0-9a-fA-F]';
-$macre = "$x$x:$x$x:$x$x:$x$x:$x$x:$x$x";
-$ipre = "\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}";
-
-foreach my $cfg (@cfg) {
-	open(CFG, $cfg);
-	while (<CFG>) {
-		next if /^\s*#/;
-		next if /^\s*$/;
-		
-		chomp;
-		my($host, $hw, $ip) = split;
-		push @{$mac->{lc($host)}}, { MAC => $hw, IP => $ip };
-	}
-}
-
-if (@ARGV) {
-	foreach $host (@ARGV) {
-		if ($host =~ /$macre/) {
-			print qx(wakeonlan $host);
-		}
-		elsif (@physical = @{$mac->{lc($host)}}) {
-		    foreach my $mac (@physical) {
-		        if ($mac->{IP}) {
-		            print qx(wakeonlan -i $mac->{IP} $mac->{MAC});
-		        }
-		        else {
-		            print qx(wakeonlan $mac->{MAC});
-		        }
-		    }
-		}
-		else {
-			print lc($host) . ": no such host in the list.\n";
-		}
-	}
-}
-else {
-	foreach $host (sort keys %$mac) {
-	    $physical = $mac->{lc($host)};
-	    foreach my $mac (@$physical) {
-	        print "$host -> $mac->{MAC} -> $mac->{IP}\n";
-	    }
-	}
-}
-
